SplQueue::dequeue
SplQueue::setIteratorMode
SplQueue
PHP Manual

# SplQueue::enqueue

(PHP 5 >= 5.3.0)

SplQueue::enqueue — Adds an element to the queue.

### Description

void SplQueue::enqueue ( mixed `$value` )

Enqueues `value` at the end of the queue.

> Note:

> SplQueue::enqueue() is an alias of SplDoublyLinkedList::push().

### Parameters

`value`

  The value to enqueue.

### Return Values

No value is returned.

SplQueue::dequeue
SplQueue::setIteratorMode
SplQueue
PHP Manual